// global variables

#include <stdint.h>
#include <avr/io.h>
#include <avr/eeprom.h>
#include <avr/pgmspace.h>

#include "main.h"
#include "globals.h"

// misc

uint8_t gTLC59284_data[9];

const uint8_t hex2led[10] = {
/* 

         A
       F   B
         G 
       E   C
         D   P

      PDCGBAFE     */
    0b01101111,  // 0
    0b00101000,  // 1
    0b01011101,  // 2
    0b01111100,  // 3
    0b00111010,  // 4
    0b01110110,  // 5
    0b01110111,  // 6
    0b00101100,  // 7
    0b01111111,  // 8
    0b00111110   // 9
};

const uint16_t animation1[ANIMATION_SIZE] PROGMEM = {
    0x0804, 0x0704, 0x0604, 0x0504, 0x0404, 0x0304, 0x0204, 0x0104, 0x0004, 0x0008, 0x0020,  
    0x0040, 0x0140, 0x0240, 0x0340, 0x0440, 0x0540, 0x0640, 0x0740, 0x0840, 0x0801, 0x0802,
    0x0803, 0x0828, 0x0703, 0x0728, 0x0603, 0x0628, 0x0503, 0x0528, 0x0403, 0x0428,
    0x0303, 0x0328, 0x0203, 0x0228, 0x0103, 0x0128, 0x0003, 0x0028,
    0x0080, 0x0180, 0x0280, 0x0380, 0x0480, 0x0580, 0x0680, 0x0780, 0x0880
};

char error_parameter[] PROGMEM = "Parameter";

config_t gconfig;
config_t gtime;

volatile char     gterminal_buffer[34];
volatile uint8_t  gflag_terminal;
volatile uint8_t  gflag_timer;
volatile uint8_t  gflag_inc;

volatile uint16_t gDDSincrement;            
volatile uint16_t gDDSremainder;            
volatile uint16_t gDDSfrequency;
volatile uint8_t  gDDSprescaler;            

// EEPROM

config_t gconfig_ee EEMEM = {
            F_CPU,          // calibration
            100,            // frame rate
            MODE_INTERNAL,  // modul mode
//            0,0,0,0         // HH:MM:SS:FFF
            22,33,44,777         // HH:MM:SS:FFF
};  
