typedef struct {
    int32_t         f_cpu;      // calibrated F_CPU
    uint16_t        framerate;  // itself
    uint8_t         mode;       // sync mode
    uint8_t         hh;         // start time, hours
    uint8_t         mm;         // minutes
    uint8_t         ss;         // seconds
    uint16_t        fff;        // frame
} config_t;

extern uint8_t gTLC59284_data[9];                   // LED data
const uint8_t hex2led[10];                          // hex to LED decoder
const uint16_t animation1[ANIMATION_SIZE];          // fun stuff 
extern char error_parameter[] PROGMEM;              // error string

extern config_t gconfig;
extern config_t gtime;

extern volatile char     gterminal_buffer[34];	    // buffer for terminal commands	      
extern volatile uint8_t  gflag_terminal;            // command flag

// software timter for display
extern volatile uint8_t  gflag_timer;               // ON/OFF flag         
extern volatile uint8_t  gflag_inc;                 // flag for timer increment and update         

// DDS/bresenham frequency counter
                                                   
extern volatile uint16_t gDDSincrement;             // increment value 
extern volatile uint16_t gDDSremainder;             // remainder for fractional counting
extern volatile uint16_t gDDSfrequency;             // total ISR frequency = framerate * prescaler
extern volatile uint8_t  gDDSprescaler;             // prescaler for frequencies below 113 Hz

// EEMEM

extern config_t gconfig_ee EEMEM;
